# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hpl-toolkit-attribute-honeycomb-context"
version = "0.0.2"
description = "HPL attribute macro for defining default honeycomb accounts in Anchor context"
license = "MIT"
repository = "https://github.com/Honeycomb-Protocol/hpl-toolkit"
resolver = "1"

[lib]
proc-macro = true

[dependencies.convert_case]
version = "0.6.0"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2.0.28"
features = ["full"]
